package com.kingdee.eas.custom.integration.apimgt;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class OpenPlatformAuthBillFactory
{
    private OpenPlatformAuthBillFactory()
    {
    }
    public static com.kingdee.eas.custom.integration.apimgt.IOpenPlatformAuthBill getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.integration.apimgt.IOpenPlatformAuthBill)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("078A24F5") ,com.kingdee.eas.custom.integration.apimgt.IOpenPlatformAuthBill.class);
    }
    
    public static com.kingdee.eas.custom.integration.apimgt.IOpenPlatformAuthBill getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.integration.apimgt.IOpenPlatformAuthBill)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("078A24F5") ,com.kingdee.eas.custom.integration.apimgt.IOpenPlatformAuthBill.class, objectCtx);
    }
    public static com.kingdee.eas.custom.integration.apimgt.IOpenPlatformAuthBill getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.integration.apimgt.IOpenPlatformAuthBill)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("078A24F5"));
    }
    public static com.kingdee.eas.custom.integration.apimgt.IOpenPlatformAuthBill getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.integration.apimgt.IOpenPlatformAuthBill)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("078A24F5"));
    }
}